# BSSolver

BCSSocket (Bottler Client-Server Socket) es un sistema que...

## Table de contenidos
* [Requisitos](#requisitos)
* [Compilación](#compilación)
* [Ejecución](#ejecución)
* [Testeos](#tests)

## Requisitos <a name="requisitos"></a>

Debe instalar gcc y make. Estos se encuentran disponibles en el repositorio de la vasta mayoría de distribuciones de Linux/macOS.

Debian/Ubuntu: `apt install gcc make`\
macOS (con [homebrew](https://brew.sh/)): `brew install gcc make`

Si tiene otra distribución consulte cómo hacerlo.

## Compilación <a name="compilación"></a>

Para compilar todos los archivos se debe hacer:

```bash
make all
```

## Ejecución <a name="ejecución"></a>

Ahora, tendrá dos ejecutables: `client` y `server`.

## Testeos <a name="tests"></a>

En orden de realizar un análisis estático del sistema usted debe tener instalado [cppcheck](http://cppcheck.net/) y [pvs-studio](https://pvs-studio.com/). Luego, puede correrlos con:

```bash
make test
```

Por último, si quiere hacer un análisis dinámico (usando [valgrind](https://valgrind.org/)) debe...

# Autores
- Barmasch, Juan Martín (61033)
- Bellver, Ezequiel (61268)
- Lo Coco, Santiago (61301)